Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface RootDoc

public abstract interface RootDoc
extends Doc, DocErrorReporter

This class holds the information from one run of javadoc. Particularly the packages, classes and options specified by the user..

Since:
  JDK1.2

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ClassDoc[]` | `classes()` classes and interfaces to be documented.
`ClassDoc` | `classNamed(java.lang.String qualifiedName)` Return a ClassDoc for the specified class/interface name
`java.lang.String[][]` | `options()` Command line options.
`PackageDoc` | `packageNamed(java.lang.String name)` Return a PackageDoc for the specified package name
`ClassDoc[]` | `specifiedClasses()` classes and interfaces specified on the command line.
`PackageDoc[]` | `specifiedPackages()` packages specified on the command line.

Methods inherited from interface com.sun.javadoc.Doc
`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isClass, isConstructor, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, seeTags, setRawCommentText, tags, tags`

Methods inherited from interface com.sun.javadoc.DocErrorReporter
`printError, printNotice, printWarning`

Method Detail

### options

    public java.lang.String[][] options()

  Command line options.

       For example, given:
           javadoc -foo this that -bar other ...

       This method will return:
            options()[0][0] = "-foo"
            options()[0][1] = "this"
            options()[0][2] = "that"
            options()[1][0] = "-bar"
            options()[1][1] = "other"

  Returns:
    an array of arrays of String.

### specifiedPackages

    public PackageDoc[] specifiedPackages()

  packages specified on the command line.

### specifiedClasses

    public ClassDoc[] specifiedClasses()

  classes and interfaces specified on the command line.

### classes

    public ClassDoc[] classes()

  classes and interfaces to be documented.

### packageNamed

    public PackageDoc packageNamed(java.lang.String name)

  Return a PackageDoc for the specified package name
  Parameters:
    `name` - package name
  Returns:
    a PackageDoc holding the specified package, null if this package is not referenced.

### classNamed

    public ClassDoc classNamed(java.lang.String qualifiedName)

  Return a ClassDoc for the specified class/interface name
  Parameters:
    `qualifiedName` - qualified class name (i.e. includes package name).
  Returns:
    a ClassDoc holding the specified class, null if this class is not referenced.

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD